<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

header('Content-Type: text/html; charset=windows-1251');
session_start();

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');

$inCore = cmsCore::getInstance();

$inCore->loadClass('db');
$inCore->loadClass('user');

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$inUser->update();

if (!$inUser->id) { die(); }

			
				
//=================================================================================================//
 ?>  
 <div class="bayinfo">
    <?
  if ($inCore->inRequest('item_id')){
 
  
 
			$id = $inCore->request('item_id', 'int');

     $item = $inDB->get_field('cms_torg_items', "id={$id}", 'title');
      echo '<h3 style="font-size:14px;font-weight:bold">Отправка сообщения клиентам, купивших товар &laquo;'.$item.'&raquo;:</h3>'; 

      
  $sql = "SELECT * FROM cms_user_zakazi
     WHERE item_id=$id";
         $res = $inDB->query($sql);                            

     if ($inDB->num_rows($res)){
     $baza=array();   
  while($cat = $inDB->fetch_assoc($res)){

     $baza[] = $cat;
}
 echo '
     <div id="rem">'; echo 'Всего:'.$inDB->num_rows($res).' адресов 

	 <table width="605" border="0" cellpadding="10" cellspacing="0" class="proptable" style="border:none">
	 <tr><td><form name="addform" action="/torg/u'.$inUser->id.'/sklad/sendemail" method="post" >
	
	<strong>Адресаты:</strong>

	<input name="mails" type="text" size="67"/ value="';
  foreach ($baza as $emails) { echo $emails['email'].','; }
  echo '"> 

<br/><strong>Тема:</strong>

	<input name="sub" type="text" size="67"/>
	<p>	<strong>Текст сообщения:</strong>
 (Вы можете использовать тег <b>{ТОВАР}</b> для вставки названия товара 

  и <b>{ПОКУПАТЕЛЬ}</b> для вставки имени покупателя)

  <textarea rows="10" cols="50" name="text"></textarea></p>
  <input name="item" type="hidden" value="'.$item.'" />
    <input name="itemid" type="hidden" value="'.$id.'" />
  <p><input type="submit" value="Отправить"></p> </form>
	</td></tr></table></div>';

}  else { echo '<strong>Нет данных о покупателях этого товара!</strong>'; }
                            
 }  else { echo '<strong>Не выбран товар!</strong>';  } 
   
  
?>
<br/><br/><input type="button" value="Омена" onclick="toggle(document.getElementById('content<?=$id;?>'));"/></div>